Summary:	Aastra Telecom XML scripts
Name:		aastra-xml-scripts
Version:	2.3.0
Release:    	1
License:    	BSD type/GPL see License.txt
Group:		System/Servers
BuildArch: 	noarch
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Vendor:	Aastra Telecom
URL:		www.aastratelecom.com
Packager: 	support@aastra.com
Requires:	aastra-ipphone >= 2.5.3,avahi,php-gd,php-ldap
AutoReqProv: 	no

%description
PHP scripts which enable the Aastra Telecom SIP Phones XML browser to interact with the asterisk/freePBX features.

%prep

%setup -q -n %{name}-%{version}

%build

%install

install -d %{buildroot}/var/www/html/aastra
cp -r SCRIPTS/* %{buildroot}/var/www/html/aastra

install -d %{buildroot}/var/cache/aastra
cp -r INSTALL/cache/* %{buildroot}/var/cache/aastra

install -D INSTALL/scripts/setup-aastra-xml %{buildroot}/usr/local/sbin/setup-aastra-xml

install -D INSTALL/agi-bin/aastra-vm-greetings.php %{buildroot}/var/lib/asterisk/agi-bin/aastra-vm-greetings.php
install -D INSTALL/agi-bin/aastra-vm.php %{buildroot}/var/lib/asterisk/agi-bin/aastra-vm.php
install -D INSTALL/asterisk/extensions_aastra.conf %{buildroot}/etc/asterisk/extensions_aastra.conf

install -d %{buildroot}/var/lib/asterisk/sounds/custom
cp -r INSTALL/sounds/* %{buildroot}/var/lib/asterisk/sounds/custom

install -D INSTALL/etc/aastra-daemon1 %{buildroot}/etc/rc.d/init.d/aastra-daemon1
install -D INSTALL/etc/aastra-daemon2 %{buildroot}/etc/rc.d/init.d/aastra-daemon2

install -D INSTALL/etc/tftp.service %{buildroot}/etc/avahi/services/tftp.service

%post
if [ ! -f '/etc/asterisk/sip_notify.conf' ]
then
  touch /etc/asterisk/sip_notify.conf
  chown asterisk /etc/asterisk/sip_notify.conf
fi

res=`grep -c aastra-check-cfg /etc/asterisk/sip_notify.conf`
if [ $res -eq 0 ]
then
  cat >> /etc/asterisk/sip_notify.conf <<EOF

; Aastra check-sync
[aastra-check-cfg]
Event=>check-sync
Content-Length=>0
EOF
fi

res=`grep -c aastra-xml /etc/asterisk/sip_notify.conf`
if [ $res -eq 0 ]
then
  cat >> /etc/asterisk/sip_notify.conf <<EOF

; Aastra XML event
[aastra-xml]
Event=>aastra-xml
Content-Length=>0
EOF
fi

res=`grep -c extensions_aastra /etc/asterisk/extensions_custom.conf`
if [ $res -eq 0 ]
then
  cat >> /etc/asterisk/extensions_custom.conf <<EOF

#include extensions_aastra.conf
EOF
fi

res=`grep -c aastra/config/httpd.conf /etc/httpd/conf/httpd.conf`
if [ $res -eq 0 ]
then
  cat >> /etc/httpd/conf/httpd.conf <<EOF
Include /var/www/html/aastra/config/httpd.conf
EOF
fi

res=`grep -c daemon.php /etc/rc.d/rc.local`
if [ $res -eq 1 ]
then
	sed '/daemon.php/d' /etc/rc.d/rc.local > /etc/rc.d/rc.local.temp
	mv /etc/rc.d/rc.local.temp /etc/rc.d/rc.local
fi
chmod +x /etc/rc.d/rc.local

res=`grep -c aastra-xml /etc/asterisk/manager_custom.conf`
if [ $res -eq 0 ]
then
  cat >> /etc/asterisk/manager_custom.conf <<EOF

[aastra-xml]
secret = aastra227872
deny=0.0.0.0/0.0.0.0
permit=127.0.0.1/255.255.255.0
read = system,call,log,verbose,command,agent,user,originate
write = system,call,log,verbose,command,agent,user,originate
EOF
fi

ln -s /var/www/html/aastra/config/server.conf /etc/aastra-xml.conf

chmod +x /etc/rc.d/init.d/aastra-daemon1 >/dev/null 2>/dev/null
chmod +x /etc/rc.d/init.d/aastra-daemon2 >/dev/null 2>/dev/null
chkconfig --add aastra-daemon1 >/dev/null 2>/dev/null
chkconfig --add aastra-daemon2 >/dev/null 2>/dev/null
/etc/rc.d/init.d/aastra-daemon1 restart >/dev/null 2>/dev/null
/etc/rc.d/init.d/aastra-daemon2 restart >/dev/null 2>/dev/null
asterisk -rx 'module reload' >/dev/null 2>/dev/null
/etc/rc.d/init.d/avahi-daemon restart >/dev/null 2>/dev/null
chkconfig --level 345 avahi-daemon on >/dev/null 2>/dev/null
/etc/rc.d/init.d/httpd restart >/dev/null 2>/dev/null

%preun
if [ $1 -eq 0 ]
then
	/etc/rc.d/init.d/aastra-daemon1 stop  >/dev/null 2>/dev/null
	/etc/rc.d/init.d/aastra-daemon2 stop  >/dev/null 2>/dev/null
	chkconfig --del aastra-daemon1
	chkconfig --del aastra-daemon2
	rm -rf /etc/rc.d/init.d/aastra-daemon1
	rm -rf /etc/rc.d/init.d/aastra-daemon2
fi

%postun
res=`grep -c extensions_aastra /etc/asterisk/extensions_custom.conf`
if [ $res -eq 1 ]
then
	sed '/extensions-aastra/d' /etc/asterisk/extensions_custom.conf > /etc/asterisk/extensions_custom.conf.temp
	mv /etc/asterisk/extensions_custom.conf.temp /etc/asterisk/extensions_custom.conf
fi

res=`grep -c aastra-xml /etc/asterisk/manager_custom.conf`
if [ $res -eq 1 ]
then
	sed '/aastra-xml/,/write/d' /etc/asterisk/manager_custom.conf > /etc/asterisk/manager_custom.conf.temp
	mv /etc/asterisk/manager_custom.conf.temp /etc/asterisk/manager_custom.conf
fi


res=`grep -c aastra/config/httpd.conf /etc/httpd/conf/httpd.conf`
if [ $res -eq 1 ]
then
	sed '/aastra\/config\/httpd.conf/,/write/d' /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf.temp
	mv /etc/httpd/conf/httpd.conf.temp /etc/httpd/conf/httpd.conf
fi

rm -rf /etc/aastra-xml.conf
/etc/rc.d/init.d/avahi-daemon restart >/dev/null 2>/dev/null
/etc/rc.d/init.d/httpd restart >/dev/null 2>/dev/null
asterisk -rx 'module reload' >/dev/null 2>/dev/null

%files
%defattr(755,asterisk,asterisk)
/etc/avahi/services/tftp.service
/etc/rc.d/init.d/aastra-daemon1
/etc/rc.d/init.d/aastra-daemon2
/etc/asterisk/extensions_aastra.conf
/var/cache/aastra
/usr/local/sbin/setup-aastra-xml
/var/lib/asterisk/agi-bin/aastra-vm-greetings.php
/var/lib/asterisk/agi-bin/aastra-vm.php
/var/lib/asterisk/sounds/custom
/var/www/html/aastra

%changelog
* Fri Jul 16 2010  Aastra Support
- Release 2.3.0
- Dependency for firmware 2.5.3
- Support for Aastra6739i (3.0.1)
- Too many to list here, please refer to documentation

* Fri Apr 02 2009  Aastra Support
- Release 2.2.1
- Dependency for firmware 2.5.0
- Visual voice mail LED management
- Greetings record via the Vmail application
- Localization in French, Spanish, German and Portuguese
- Bug fixes

* Fri Jan 19 2009  Aastra Support
- Release 2.2.0
- Dependency for firmware 2.4.1
- Presence application
- User login/logout to ACD
- Bug fixes

* Fri Sep 19 2008  Aastra Support
- Release 2.1.1
- Dependency for firmware 2.3.1
- Bug fixes (Visual voice mail)

* Tue Sep 02 2008  Aastra Support
- Release 2.1.0
- Support for 9143i, 9480i and 9480iCT
- Device and User mode support
- Additional scripts
- Bug fixes

* Sun Mar 16 2008  Aastra Support
- Release 2.0.0
- Auto-Discovery and Self-Configuration
- Visual Call Park
- Day/night schedule control
- Additional scripts

* Fri Jun 1 2007  Aastra Support
- Release 1.1.0
- Enhancements to CFWD and DND for 5i series phones
- Additional scripts for RSS feed reader, weather, stock quotes, ask google, speed dial, Horoscopes and World Clock.

* Mon Feb 19 2007  Aastra Support
- Release 1.0.0
